> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of process results

> Get a list of process results for a given organization entity



## OpenAPI

````yaml /specs/fc-kyb-bundled_generated.yaml get /v2/organizations/{entityId}/results
openapi: 3.0.3
info:
  title: KYB V2 API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for native v2 KYB. Currently in
    development, changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com/
    email: help@frankieone.com
servers:
  - url: https://api.uat.frankie.one
    description: UAT Environment API Base URL
  - url: https://api.frankie.one
    description: Production API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Organization Workflows
    description: Manage workflows and executions for organizations
  - name: Hosted URL
    description: Api calls related to Hosted URL
  - name: Organization Relationships
    description: Manage relationships for organizations
  - name: Organization Addresses
    description: Manage addresses for organizations
  - name: Organization Custom Attributes
    description: Manage custom attributes for organizations
  - name: Organization Monitoring
    description: Manage AML monitoring for organizations
  - name: Organization Results
    description: Manage results for organizations
paths:
  /v2/organizations/{entityId}/results:
    parameters:
      - $ref: '#/components/parameters/entityId'
    get:
      tags:
        - Organization Results
      summary: Get a list of process results
      description: Get a list of process results for a given organization entity
      operationId: getAllPROs
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
        - $ref: '#/components/parameters/X-Frankie-Channel'
        - $ref: '#/components/parameters/X-Frankie-Username'
        - $ref: '#/components/parameters/profileNameQuery'
        - $ref: '#/components/parameters/entityId'
        - $ref: '#/components/parameters/createdAtBefore'
        - $ref: '#/components/parameters/createdAtAfter'
        - $ref: '#/components/parameters/updatedAtBefore'
        - $ref: '#/components/parameters/updatedAtAfter'
        - $ref: '#/components/parameters/stepNames'
        - $ref: '#/components/parameters/stepTypes'
        - $ref: '#/components/parameters/objectTypes'
        - $ref: '#/components/parameters/classes'
        - $ref: '#/components/parameters/systemStatuses'
        - $ref: '#/components/parameters/manualStatuses'
        - $ref: '#/components/parameters/states'
        - $ref: '#/components/parameters/results'
        - $ref: '#/components/parameters/sortFields'
        - $ref: '#/components/parameters/sort'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/subClasses'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    $ref: '#/components/schemas/List-Operation-Meta'
                  requestId:
                    $ref: '#/components/schemas/Request-ID'
                  processResults:
                    type: array
                    items:
                      $ref: '#/components/schemas/Process-Result-Object'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid EntityId:
                  value:
                    errorCode: API-0400,
                    errorMsg: 'Multiple Errors: See Issues list'
                    details:
                      - issue: 'entityId in path must be of type uuid: "test"'
                        issueLocation: VALIDATE-entityId
                    requestId: 01HM5XJ7VASZ3EJMB1VQGTBFJ4
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Invalid authentication:
                  value:
                    errorCode: AUTH-0002,
                    errorMsg: Unauthorized
                    details:
                      - issue: Invalid Authentication provided. Access denied.
                        issueLocation: request
                    requestId: 00000000S6MNG7624K2TDXT1E3
                No Api-Key:
                  value:
                    errorCode: AUTH-0401
                    errorMsg: Unauthorized
                    details:
                      - issue: No api key provided. Access denied.
                        issueLocation: request
                    requestId: 00000001S6MNG7624K2TDXT1E3
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Api-Key: []
        - jwt:
            - kyb:api
components:
  parameters:
    entityId:
      name: entityId
      in: path
      schema:
        type: string
      description: Unique FrankieOne identifier for an entity
      required: true
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
    X-Frankie-Channel:
      name: X-Frankie-Channel
      in: header
      required: false
      schema:
        type: string
      description: >-
        Open string that can be used to define the "channel" the request comes
        in from. It can potentially be used in routing and risk calculations
        upon request. Default values that can be used are:  api portal smartui
        Any alphanumeric string is supported though. Anything over 64 characters
        will be truncated.
    X-Frankie-Username:
      name: X-Frankie-Username
      in: header
      description: Username provided by API caller
      required: false
      schema:
        type: string
        example: fred.flintstone@frankieone.com
    profileNameQuery:
      name: profileName
      in: query
      schema:
        type: string
      description: The unique name of the service profile
    createdAtBefore:
      name: createdAtBefore
      in: query
      schema:
        type: string
        format: date-time
      description: >-
        Filter on the createdAt field, results returned are based on being
        before the value (inclusively)
      example: '2024-02-29T02:15:04Z'
    createdAtAfter:
      name: createdAtAfter
      in: query
      schema:
        type: string
        format: date-time
      description: >-
        Filter on the createdAt field, results returned are based on being after
        the value (inclusively)
      example: '2024-02-29T02:15:04Z'
    updatedAtBefore:
      name: updatedAtBefore
      in: query
      schema:
        type: string
        format: date-time
      description: >-
        Filter on the updatedAt field, results returned are based on being
        before the value (inclusively)
      example: '2024-02-29T02:15:04Z'
    updatedAtAfter:
      name: updatedAtAfter
      in: query
      schema:
        type: string
        format: date-time
      description: >-
        Filter on the updatedAt field, results returned are based on being
        before the value (inclusively)
      example: '2024-02-29T02:15:04Z'
    stepNames:
      name: stepNames
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
      description: List of steps to include, separated by a comma.
    stepTypes:
      name: stepTypes
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
      description: A list of stepTypes the Process Result is associated with
    objectTypes:
      name: objectTypes
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
      description: List of objectTypes to filter upon
    classes:
      name: classes
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
      description: >-
        List of classes to filter results with Available values : KYC, ID, IDV,
        AML, FRAUDLIST, FRAUDCHECK, DEVICE, MOBILE, EMAIL, LOOKUP, CREATE,
        UPDATE, DELETE, MANUAL, ORGANIZATION_PROFILE, ORGANIZATION_OWNERSHIP
    systemStatuses:
      name: systemStatuses
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
      description: |-
        List of systemStatus values to filter results with
        Available values : VALID, EXPIRED, STALE, MARKED_INVALID, MARKED_IGNORE
    manualStatuses:
      name: manualStatuses
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
        description: >-
          List of manualStatus fields to filter results with Available values :
          UNKNOWN, FALSE_POSITIVE, TRUE_POSITIVE, TRUE_POSITIVE_REJECT,
          TRUE_POSITIVE_ACCEPT, PASS, FAIL
    states:
      name: states
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
      description: |-
        List of state values to filter results with
        Available values : IN_PROGRESS, COMPLETED, TIMEOUT, ERROR
    results:
      name: results
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
      description: >-
        List of result value that the Process Result will be filtered with

        Available values : MATCH, PARTIAL_MATCH, INVALID_MATCH, NO_MATCH, CLEAR,
        HIT, BAD_DATA, CREATED, UPDATED, DELETED, FAIL
    sortFields:
      name: sortFields
      in: query
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
      description: |-
        List of fields that the Process Results will be filtered with
        Available values : createdAt, updatedAt
    sort:
      in: query
      name: sort
      schema:
        type: string
        enum:
          - asc
          - desc
      description: Order of the sort fields will be sorted upon
    page:
      in: query
      name: page
      example: 2
      schema:
        type: integer
      description: The page number that you want to retrieve for the list query
    limit:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 1
        default: 20
      example: 20
      description: Limit the number of items that will be returned as part of the request
    subClasses:
      in: query
      name: subClasses
      style: form
      explode: false
      schema:
        type: array
        items:
          $ref: '#/components/schemas/Process-Result-SubClass'
      description: List of subClasses to filter results with
  schemas:
    List-Operation-Meta:
      type: object
      description: >-
        Meta information about the request and response returned during a list
        operation.
      properties:
        page:
          type: integer
          description: The current page number of the request.
        total:
          type: integer
          description: The total number of items found for the search criteria.
        limit:
          type: integer
          description: The limit applied to this response.
        count:
          type: integer
          description: The number of items returned in this response.
        sort:
          type: string
          enum:
            - asc
            - desc
          description: The sort order applied to the items in the response.
        sortFields:
          type: array
          items:
            type: string
            enum:
              - createdAt
              - updatedAt
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Process-Result-Object:
      type: object
      properties:
        processResultId:
          $ref: '#/components/schemas/Process-Result-ID'
        schemaVersion:
          type: integer
          readOnly: true
        entityId:
          type: string
          readOnly: true
        requestId:
          $ref: '#/components/schemas/Request-ID'
          readOnly: true
        stepName:
          type: string
          readOnly: true
        stepType:
          type: string
          readOnly: true
        objectType:
          type: string
          readOnly: true
        objectId:
          type: string
          readOnly: true
        createdAt:
          type: string
          format: date-time
          readOnly: true
        updatedAt:
          type: string
          format: date-time
          readOnly: true
        groupId:
          type: string
          readOnly: true
        providerResult:
          $ref: '#/components/schemas/Provider-Result'
        result:
          $ref: '#/components/schemas/Process-ResultEnum'
        class:
          $ref: '#/components/schemas/Process-Result-ClassEnum'
        subClass:
          $ref: '#/components/schemas/Process-Result-SubClass'
        supplementaryData:
          $ref: '#/components/schemas/Supplementary-Data'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Process-Result-Error'
          readOnly: true
        notes:
          readOnly: true
          allOf:
            - $ref: '#/components/schemas/Custom-Attributes'
        systemStatus:
          $ref: '#/components/schemas/Process-Result-System-StatusEnum'
        manualStatus:
          $ref: '#/components/schemas/Process-Result-Manual-StatusEnum'
        state:
          $ref: '#/components/schemas/Process-Result-StateEnum'
        riskFactors:
          type: array
          items:
            $ref: '#/components/schemas/Process-Risk-Factor-Value'
          readOnly: true
        updatedBy:
          type: string
          readOnly: true
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Process-Result-SubClass:
      type: string
      pattern: ^[A-Z_]+$
      description: the subclass must be in SCREAMING_SNAKE_CASE
    Process-Result-ID:
      type: string
      description: >-
        When a process result object is first created, it is assigned an ID.
        When updating the process result object, set the processResultID to the
        ID of the process result object you are referring to.
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Provider-Result:
      type: object
      properties:
        name:
          type: string
        source:
          type: string
        sourceNormalized:
          type: string
        reference:
          type: string
        fuzziness:
          $ref: '#/components/schemas/FuzzinessLevel'
        confidence:
          $ref: '#/components/schemas/ConfidenceLevel'
        riskScore:
          type: number
          format: double
        errorCode:
          type: string
        errorMessage:
          type: string
      readOnly: true
    Process-ResultEnum:
      type: string
      enum:
        - MATCH
        - PARTIAL_MATCH
        - INVALID_MATCH
        - NO_MATCH
        - CLEAR
        - HIT
        - BAD_DATA
        - CREATED
        - UPDATED
        - DELETED
        - FAIL
        - NOT_APPLICABLE
        - SUSPECTED
        - REJECTED
        - MANUAL
        - CLEAR_AUTO
        - OVERRIDE
      readOnly: true
      description: >
        The actual pass/fail result of the element check

        - MATCH: The element check matched the expected criteria.

        - PARTIAL_MATCH: The element check partially matched the expected
        criteria.

        - INVALID_MATCH: The element check matched but was invalid.

        - NO_MATCH: The element check did not match the expected criteria.

        - CLEAR: The element check was cleared.

        - HIT: The element check hit a specific condition or threshold.

        - BAD_DATA: The element check encountered bad data.

        - CREATED: The element check resulted in the creation of a new record.

        - UPDATED: The element check resulted in the update of an existing
        record.

        - DELETED: The element check resulted in the deletion of a record.

        - FAIL: The element check failed.

        - NOT_APPLICABLE: The element check was not applicable in the given
        context.

        - SUSPECTED: The element check raised a suspicion but did not confirm
        it.

        - REJECTED: The element check was rejected.

        - MANUAL: The element check was manually reviewed or processed.

        - CLEAR_AUTO: The element check was cleared automatically.

        - OVERRIDE: The element check was overridden by a manual action or
        system rule.
    Process-Result-ClassEnum:
      type: string
      description: >-
        Provides additional clarity for the result class, especially for more
        generic element types like 'person'.
      enum:
        - KYC
        - ID
        - IDV
        - AML
        - FRAUDLIST
        - FRAUDCHECK
        - FRAUD
        - DEVICE
        - MOBILE
        - EMAIL
        - LOOKUP
        - CREATE
        - UPDATE
        - DELETE
        - KYB
        - DUPLICATE
        - BLOCKLIST
        - SUPPORTING_DOC
        - ORGANIZATION_PROFILE
        - ORGANIZATION_VERIFICATION
        - ORGANIZATION_OWNERSHIP
        - MATCHLIST
        - VISA
        - ACTIVITY
      readOnly: true
    Supplementary-Data:
      type: object
      readOnly: true
      oneOf:
        - $ref: '#/components/schemas/Supplementary-Data-AML'
        - $ref: '#/components/schemas/Supplementary-Data-KYC-Address'
        - $ref: '#/components/schemas/Supplementary-Data-KYC-DoB'
        - $ref: '#/components/schemas/Supplementary-Data-KYC-Gender'
        - $ref: '#/components/schemas/Supplementary-Data-KYC-Name'
        - $ref: '#/components/schemas/Supplementary-Data-ID'
        - $ref: '#/components/schemas/Supplementary-Data-Visa'
        - $ref: '#/components/schemas/Supplementary-Data-NameValidation'
        - $ref: '#/components/schemas/Supplementary-Data-KYB-Organization'
        - $ref: '#/components/schemas/Supplementary-Data-KYB-Address-Verification'
        - $ref: '#/components/schemas/Supplementary-Data-KYB-Name-Verification'
        - $ref: >-
            #/components/schemas/Supplementary-Data-KYB-Registration-Verification
        - $ref: '#/components/schemas/Supplementary-Data-KYB-Tax-Verification'
        - $ref: '#/components/schemas/Supplementary-Data-Duplicate'
        - $ref: '#/components/schemas/Supplementary-Data-IDV-Document'
        - $ref: '#/components/schemas/Supplementary-Data-IDV-Facial-Comparison'
        - $ref: '#/components/schemas/Supplementary-Data-IDV-Facial-Liveness'
        - $ref: '#/components/schemas/Supplementary-Data-IDV-OCR'
        - $ref: '#/components/schemas/Supplementary-Data-IDV-OCR-Comparison'
        - $ref: '#/components/schemas/Supplementary-Data-Matchlist'
        - $ref: '#/components/schemas/Supplementary-Data-Activity-AML'
        - $ref: '#/components/schemas/Supplementary-Data-Activity-Fraud'
        - $ref: '#/components/schemas/Supplementary-Data-Activity-Event'
        - $ref: '#/components/schemas/Supplementary-Data-Fraud-Device'
        - $ref: '#/components/schemas/Supplementary-Data-Fraud-Email-Address'
        - $ref: '#/components/schemas/Supplementary-Data-Fraud-IP-Address'
        - $ref: '#/components/schemas/Supplementary-Data-Fraud-Phone-Number'
      discriminator:
        propertyName: type
        mapping:
          AML:
            $ref: '#/components/schemas/Supplementary-Data-AML'
          KYC_ADDRESS:
            $ref: '#/components/schemas/Supplementary-Data-KYC-Address'
          KYC_DOB:
            $ref: '#/components/schemas/Supplementary-Data-KYC-DoB'
          KYC_GENDER:
            $ref: '#/components/schemas/Supplementary-Data-KYC-Gender'
          KYC_NAME:
            $ref: '#/components/schemas/Supplementary-Data-KYC-Name'
          ID:
            $ref: '#/components/schemas/Supplementary-Data-ID'
          VISA:
            $ref: '#/components/schemas/Supplementary-Data-Visa'
          NAME_VALIDATION:
            $ref: '#/components/schemas/Supplementary-Data-NameValidation'
          KYB_ORGANIZATION:
            $ref: '#/components/schemas/Supplementary-Data-KYB-Organization'
          KYB_ADDRESS_VERIFICATION:
            $ref: '#/components/schemas/Supplementary-Data-KYB-Address-Verification'
          KYB_NAME_VERIFICATION:
            $ref: '#/components/schemas/Supplementary-Data-KYB-Name-Verification'
          KYB_REGISTRATION_VERIFICATION:
            $ref: >-
              #/components/schemas/Supplementary-Data-KYB-Registration-Verification
          KYB_TAX_VERIFICATION:
            $ref: '#/components/schemas/Supplementary-Data-KYB-Tax-Verification'
          DUPLICATE:
            $ref: '#/components/schemas/Supplementary-Data-Duplicate'
          IDV_DOCUMENT:
            $ref: '#/components/schemas/Supplementary-Data-IDV-Document'
          IDV_FACIAL_COMPARISON:
            $ref: '#/components/schemas/Supplementary-Data-IDV-Facial-Comparison'
          IDV_FACIAL_LIVENESS:
            $ref: '#/components/schemas/Supplementary-Data-IDV-Facial-Liveness'
          IDV_OCR:
            $ref: '#/components/schemas/Supplementary-Data-IDV-OCR'
          IDV_OCR_COMPARISON:
            $ref: '#/components/schemas/Supplementary-Data-IDV-OCR-Comparison'
          MATCHLIST:
            $ref: '#/components/schemas/Supplementary-Data-Matchlist'
          ACTIVITY_AML:
            $ref: '#/components/schemas/Supplementary-Data-Activity-AML'
          ACTIVITY_FRAUD:
            $ref: '#/components/schemas/Supplementary-Data-Activity-Fraud'
          ACTIVITY_EVENT:
            $ref: '#/components/schemas/Supplementary-Data-Activity-Event'
          FRAUD_DEVICE:
            $ref: '#/components/schemas/Supplementary-Data-Fraud-Device'
          FRAUD_EMAIL_ADDRESS:
            $ref: '#/components/schemas/Supplementary-Data-Fraud-Email-Address'
          FRAUD_IP_ADDRESS:
            $ref: '#/components/schemas/Supplementary-Data-Fraud-IP-Address'
          FRAUD_PHONE_NUMBER:
            $ref: '#/components/schemas/Supplementary-Data-Fraud-Phone-Number'
    Process-Result-Error:
      type: object
      properties:
        code:
          type: string
          description: The error code associated with the process result.
        description:
          type: string
          description: A description of the error.
        location:
          type: string
          description: The location or context where the error occurred.
    Custom-Attributes:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/Attribute'
    Process-Result-System-StatusEnum:
      type: string
      description: >
        If there has been an additional system status applied to the process.

        - VALID: The process result is valid and has not been marked for any
        special handling.

        - EXPIRED: The process result has expired and is no longer valid.

        - STALE: The process result is considered stale, meaning it may be
        outdated but not necessarily invalid.

        - MARKED_INVALID: The process result has been explicitly marked as
        invalid.

        - MARKED_IGNORE: The process result has been marked to be ignored,
        meaning it should not be considered in further processing.
      enum:
        - VALID
        - EXPIRED
        - STALE
        - MARKED_INVALID
        - MARKED_IGNORE
      default: VALID
      readOnly: true
    Process-Result-Manual-StatusEnum:
      allOf:
        - $ref: '#/components/schemas/Process-Result-Manual-StatusEnum-AML'
        - $ref: '#/components/schemas/Process-Result-Manual-StatusEnum-KYC'
        - $ref: '#/components/schemas/Process-Result-Manual-StatusEnum-IDV'
        - $ref: '#/components/schemas/Process-Result-Manual-StatusEnum-Duplicate'
        - $ref: '#/components/schemas/Process-Result-Manual-StatusEnum-Matchlist'
        - $ref: '#/components/schemas/Process-Result-Manual-StatusEnum-SupportDoc'
    Process-Result-StateEnum:
      type: string
      readOnly: true
      description: Denotes the final disposition of this element's check result
      enum:
        - IN_PROGRESS
        - COMPLETED
        - TIMEOUT
        - ERROR
    Process-Risk-Factor-Value:
      type: object
      description: Risk Factor Value
      required:
        - factor
        - value
      properties:
        factor:
          type: string
          description: Name of the risk factor.
        value:
          type: string
          description: >-
            Supplier/service provided value that Frankie will plug into the risk
            engine to determine a score.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    FuzzinessLevel:
      type: object
      properties:
        normalized:
          description: >
            The normalized fuzziness level, if set.

            Note: This is a normalized value, NOT the one used by the service
            provider (see the "actual" field).

            Assumes a scale of 0.0 (exact match) to 100.0 (match anything).
          type: number
          format: float
          minimum: 0
          maximum: 100
        actual:
          description: >
            The actual fuzziness level as provided by the service provider, if
            set.

            Note: This is not a normalized value, but the original value from
            the provider.
          type: string
    ConfidenceLevel:
      type: object
      properties:
        normalized:
          description: >
            The normalized confidence level, if set.

            Note: This is a normalized value, NOT the one used by the service
            provider (see the "actual" field).

            Assumes a scale of 0.0 (exact match) to 100.0 (match anything).
          type: number
          format: float
          minimum: 0
          maximum: 100
        actual:
          description: >
            The actual confidence level as provided by the service provider, if
            set.

            Note: This is not a normalized value, but the original value from
            the provider.
          type: string
    Supplementary-Data-AML:
      type: object
      required:
        - serviceProvider
      description: >
        Each AML match/hit generates a PRO, and this object describes the
        details of the matched individual or business.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            serviceProvider:
              type: string
              description: >
                The name of the service provider from which this matched record
                was retrieved.
            searchId:
              type: string
              description: >
                The service provider's search reference number, usually used to
                refer to an ongoing search.
            caseId:
              type: string
              description: >
                If the service provider has case management facilities, this is
                their case identifier. May be the same as the search ID.
            referenceId:
              type: string
              description: >
                An additional reference number provided by the service provider,
                or our own reference number.
            originalStepSearchLevel:
              type: string
              description: >
                Indicates if this was a simple PEP or PEP media check that found
                this match. Used to determine if more information is needed when
                re-using existing results.
            groupingId:
              type: string
              description: >
                Some matches can be grouped together as part of a collection of
                searches. This can be the searchId or a reference ID.
            reportUrl:
              type: string
              format: uri
              description: >
                If the service provider supplies a pre-packaged report that can
                be downloaded independently, this is the URL to retrieve it.
            fuzziness:
              $ref: '#/components/schemas/FuzzinessLevel'
            matchData:
              $ref: '#/components/schemas/Supplementary-Data-AML-MatchData'
            aliases:
              type: array
              items:
                type: string
                description: >-
                  Alternative names, aliases, "AKA"s, or names as spelled in
                  other languages, etc.
            relatedParties:
              type: array
              items:
                $ref: '#/components/schemas/Supplementary-Data-AML-RelatedParties'
            referenceDocs:
              type: array
              items:
                $ref: '#/components/schemas/Supplementary-Data-AML-ReferenceDocs'
            notes:
              $ref: '#/components/schemas/Custom-Attributes'
            pepData:
              type: array
              items:
                $ref: '#/components/schemas/Supplementary-Data-AML-PEPData'
            sanctionData:
              type: array
              items:
                $ref: '#/components/schemas/Supplementary-Data-AML-SanctionsData'
            watchlistData:
              type: array
              items:
                $ref: '#/components/schemas/Supplementary-Data-AML-WatchlistData'
            mediaData:
              type: array
              items:
                $ref: '#/components/schemas/Supplementary-Data-AML-MediaData'
    Supplementary-Data-KYC-Address:
      type: object
      description: >
        Defines the matching levels for each address element, where available.

        Provides a match strength score ranging from 0 (no match) to 100 (full
        match).
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            matchStrengths:
              $ref: >-
                #/components/schemas/Supplementary-Data-KYC-Address-MatchStrengths
            fuzziness:
              $ref: '#/components/schemas/FuzzinessLevel'
            wasNameMatchStrongEnough:
              description: >
                Indicates whether there was a sufficiently strong name match at
                the time this was checked, even if the address was a perfect
                match.

                This is only an indicator at the time the PRO was created.
                Subsequent checks that reuse this result may interpret this
                differently.
              type: boolean
    Supplementary-Data-KYC-DoB:
      type: object
      description: >
        Defines the matching levels for each date of birth element, where
        available.

        Provides a match strength score ranging from 0 (no match) to 100 (full
        match).
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            matchStrengths:
              $ref: '#/components/schemas/Supplementary-Data-KYC-DoB-MatchStrengths'
            fuzziness:
              $ref: '#/components/schemas/FuzzinessLevel'
            wasNameMatchStrongEnough:
              description: >
                Indicates whether there was a sufficiently strong name match at
                the time this was checked, even if the date of birth was a
                perfect match.

                This is only an indicator at the time the PRO was created.
                Subsequent checks that reuse this result may interpret this
                differently.
              type: boolean
    Supplementary-Data-KYC-Gender:
      type: object
      description: |
        Defines the matching results for a gender check. This is rarely used.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            matchStrengths:
              $ref: >-
                #/components/schemas/Supplementary-Data-KYC-Gender-MatchStrengths
            fuzziness:
              $ref: '#/components/schemas/FuzzinessLevel'
            wasNameMatchStrongEnough:
              description: >
                Indicates whether there was a sufficiently strong name match at
                the time this was checked, even if the gender was a perfect
                match.

                This is only an indicator at the time the PRO was created.
                Subsequent checks that reuse this result may interpret this
                differently.
              type: boolean
    Supplementary-Data-KYC-Name:
      type: object
      description: >
        Defines the matching levels for each name element, where available.

        Provides a match strength score ranging from 0 (no match) to 100 (full
        match).
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            matchStrengths:
              $ref: '#/components/schemas/Supplementary-Data-KYC-Name-MatchStrengths'
            fuzziness:
              $ref: '#/components/schemas/FuzzinessLevel'
    Supplementary-Data-ID:
      type: object
      description: |
        Provides the matching levels found for each ID element, where available.
        Match strength is scaled from 0 (no match) to 100 (full match).
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            matchStrengths:
              $ref: '#/components/schemas/Supplementary-Data-ID-MatchStrengths'
            fuzziness:
              $ref: '#/components/schemas/FuzzinessLevel'
    Supplementary-Data-Visa:
      type: object
      description: |
        Defines the Visa details returned from VEVO.
        Class and subclass values can be found on the VEVO website.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            country:
              type: string
              description: Country of origin (ISO-3166-alpha3 code).
            class:
              type: string
              description: Visa class.
            subClass:
              type: string
              description: Visa subclass.
            entitlementStatus:
              type: string
              description: Status of the visa entitlement.
            grantDate:
              type: string
              format: date
              description: Date the visa was granted.
            expiryDate:
              type: string
              format: date
              description: Date the visa expires.
            hasExpired:
              type: boolean
              description: >-
                Indicates if the visa has expired (sometimes expiry date is not
                returned).
            noExpiry:
              type: boolean
              description: Indicates if this visa has no expiry.
            entitlementConditionCode:
              type: string
              description: Code for the entitlement condition.
            entitlementConditionDescription:
              type: string
              description: Description of the entitlement condition.
            holderType:
              type: string
              enum:
                - PRIMARY
                - SECONDARY
              description: >
                Indicates if this is the primary visa holder or a secondary
                holder (usually a spouse/partner or other family member).

                Values:
                  - PRIMARY
                  - SECONDARY
            lookupErrorCode:
              type: string
              description: >-
                If there was an error during the lookup, this is the code
                returned from VEVO.
            fuzziness:
              $ref: '#/components/schemas/FuzzinessLevel'
    Supplementary-Data-NameValidation:
      type: object
      description: >
        Details on how the native language name was verified against a
        dictionary of anglicized translations.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            langCode:
              type: string
              description: Language code used for translation.
            nameMatchOrder:
              type: string
              description: >
                Depending on the name to be translated and how it is presented,
                the native language and anglicized version ordering might be
                mixed up. The service will try various orderings to find a
                match.

                The order codes represent the actual order that matched.

                Each letter combination represents *F*amily, *G*iven, and
                *O*ther names.

                For example, FGO means that Family, Given, and Other names
                matched in that order.
              enum:
                - FGO
                - OFG
                - GOF
                - FOG
                - GFO
                - OGF
                - FG
                - FO
                - GF
                - OF
            fuzziness:
              $ref: '#/components/schemas/FuzzinessLevel'
    Supplementary-Data-KYB-Organization:
      type: object
      description: >
        Defines OQRO (Ownership Query Result Object) at various stages in the
        KYB (Know Your Business) flow.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            organization:
              $ref: '#/components/schemas/Organization'
    Supplementary-Data-KYB-Address-Verification:
      type: object
      description: >
        Provider assessment of an organization address.

        If the addressId is not provided, this is the overall address assessment
        of the organization.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-KYB-Verification-Base'
    Supplementary-Data-KYB-Name-Verification:
      type: object
      description: |
        Provider assessment of a business name
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-KYB-Verification-Base'
        - type: object
          properties:
            name:
              description: the verified organization name
              type: string
    Supplementary-Data-KYB-Registration-Verification:
      type: object
      description: |
        Provider assessment of the organization registration details
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-KYB-Verification-Base'
    Supplementary-Data-KYB-Tax-Verification:
      type: object
      description: |
        Provider assessment of the submitted tax identifier
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-KYB-Verification-Base'
        - type: object
          properties:
            taxpayerIdentificationNumber:
              type: string
              description: The evaluated tax identifier
    Supplementary-Data-Duplicate:
      type: object
      description: >
        Provides details of a single duplicate match, including the matching
        entity ID and a list of matched elements.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            duplicateEntityId:
              $ref: '#/components/schemas/Entity-ID'
              description: >-
                The entity ID of the entity that was matched by the matched
                fields.
            matchedFields:
              type: array
              description: >-
                The list of fields that determined this is a duplicate of
                another entity.
              items:
                $ref: '#/components/schemas/Supplementary-Data-Duplicate-MatchField'
            matchedRules:
              type: array
              description: >-
                The list of rules that were matched to determine this is a
                duplicate of another entity.
              items:
                $ref: '#/components/schemas/Supplementary-Data-Duplicate-MatchedRule'
    Supplementary-Data-IDV-Document:
      type: object
      description: >
        Result of a document check, indicating how likely or accurate the
        presented document is a valid ID document.


        For resultMap keys, use the keys found in the enum:
        SupplementaryDataIDVEnumDataDocument.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-IDV-Base'
        - type: object
          properties:
            attachmentIds:
              type: object
              description: The IDs of the document images that were analyzed.
              properties:
                front:
                  type: string
                  format: uuid
                  description: The ID of the front image of the document.
                back:
                  type: string
                  format: uuid
                  description: The ID of the back image of the document.
            detectedDocumentType:
              $ref: '#/components/schemas/Document-Type'
            detectedDocumentCountry:
              type: string
              description: The ISO-3166-alpha3 country code of the document as detected.
              example: AUS
    Supplementary-Data-IDV-Facial-Comparison:
      type: object
      description: >
        Result of a facial comparison check, indicating how likely or accurate
        the presented face matches the ID document.


        For resultMap keys, use the keys found in the enum:
        SupplementaryDataIDVEnumDataFacialComparison.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-IDV-Base'
        - type: object
          properties:
            comparedDocumentId:
              type: string
              format: uuid
              description: The document ID of the ID document that was compared.
            comparedDocumentAttachmentId:
              type: string
              format: uuid
              description: The attachment ID of the ID document that was compared.
            comparedSelfieId:
              type: string
              format: uuid
              description: The document ID of the selfie that was compared.
            comparedSelfieAttachmentId:
              type: string
              format: uuid
              description: The attachment ID of the selfie that was compared.
    Supplementary-Data-IDV-Facial-Liveness:
      type: object
      description: >
        Result of a facial liveness check, indicating how likely the facial
        photo or video is of a live person.


        For resultMap keys, use the keys found in the enum:
        SupplementaryDataIDVEnumDataFacialLiveness.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-IDV-Base'
        - type: object
          properties:
            comparedSelfieId:
              type: string
              format: uuid
              description: The document ID of the selfie that was compared.
            comparedSelfieAttachmentId:
              type: string
              format: uuid
              description: The attachment ID of the selfie that was compared.
    Supplementary-Data-IDV-OCR:
      type: object
      description: >
        Result of a document OCR comparison. This object represents the
        comparison between scanned data (via OCR) and updated or alternately
        supplied results.


        For the resultMap keys, use the keys defined in the enum:
        SupplementaryDataIDVEnumDataOCR.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-IDV-Base'
        - type: object
          properties:
            scannedDocumentId:
              type: string
              format: uuid
              description: >
                The documentId of the ID document on which OCR extraction was
                performed.
            scannedAttachmentFrontId:
              type: string
              format: uuid
              description: >
                The attachmentId of the front image of the ID document used for
                OCR extraction.
            scannedAttachmentBackId:
              type: string
              format: uuid
              description: >
                The attachmentId of the back image of the ID document used for
                OCR extraction, if a back image was provided.
    Supplementary-Data-IDV-OCR-Comparison:
      type: object
      description: >
        Result of an OCR and updated data comparison. This object represents the
        comparison between scanned data (via OCR) and updated or alternately
        supplied results.


        When selecting data for comparison, preference is given to the entity
        details that have been or will be sent to service providers for
        verification, rather than the updated data provided in the OCR scan.


        For the resultMap and mismatchMap keys, use the keys defined in the
        enum: SupplementaryDataIDVEnumDataOCRComparison.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-IDV-Base'
        - type: object
          properties:
            ocrResultId:
              type: string
              format: uuid
              description: |
                The proId of the OCR data PRO used for this comparison.
            comparisonSource:
              $ref: >-
                #/components/schemas/Supplementary-Data-IDV-OCR-Comparison-Enum-Comparison-Source
            mismatchMap:
              $ref: '#/components/schemas/Supplementary-Data-IDV-ElementMap'
              description: >
                Map of OCR mismatches between previously entered or expected
                values and the OCR result.


                Actual matches should be recorded in resultMap.
            nameId:
              type: string
              format: uuid
              description: |
                The nameId of the name object used in the comparison.
            dobId:
              type: string
              format: uuid
              description: |
                The dobId of the date of birth object used in the comparison.
    Supplementary-Data-Matchlist:
      type: object
      description: >
        Each match against a matchlist entry generates a PRO (Process Result
        Object), and this object describes the details of the matched entry.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - $ref: '#/components/schemas/Matchlist-Entry-Base'
        - type: object
          properties:
            matchlistId:
              type: string
              format: uuid
              description: Unique identifier for the matchlist.
            matchlistName:
              type: string
              description: Unique name of the matchlist.
            matchlistAction:
              $ref: '#/components/schemas/Matchlist-Action'
            confidence:
              $ref: '#/components/schemas/Search-Confidence'
            matchedFields:
              type: array
              items:
                $ref: '#/components/schemas/Supplementary-Data-Matchlist-Field'
    Supplementary-Data-Activity-AML:
      type: object
      description: |
        Provides details of an activity Anti-Money Laundering (AML) result.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            activity:
              $ref: '#/components/schemas/Activity-Base'
            result:
              $ref: '#/components/schemas/Supplementary-Data-Activity-Result-Detail'
    Supplementary-Data-Activity-Fraud:
      type: object
      description: |
        Defines the details of an activity fraud result.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            activity:
              $ref: '#/components/schemas/Activity-Base'
            result:
              $ref: '#/components/schemas/Supplementary-Data-Activity-Result-Detail'
    Supplementary-Data-Activity-Event:
      type: object
      description: |
        Defines the details of an activity device result.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            activity:
              $ref: '#/components/schemas/Activity-Base'
            result:
              $ref: '#/components/schemas/Supplementary-Data-Activity-Result-Detail'
    Supplementary-Data-Fraud-Device:
      type: object
      description: |
        Provides details of a single device fraud check.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - $ref: '#/components/schemas/Supplementary-Data-Fraud-Device-Data'
    Supplementary-Data-Fraud-Email-Address:
      type: object
      description: |
        Defines the details of a single email fraud check.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            emailAddressId:
              $ref: '#/components/schemas/Email-Address-ID'
            riskLevel:
              $ref: '#/components/schemas/Risk-Level'
            reference:
              $ref: '#/components/schemas/Result-Reference'
            indicators:
              type: array
              items:
                $ref: >-
                  #/components/schemas/Supplementary-Data-Activity-Result-Detail-Indicator
    Supplementary-Data-Fraud-IP-Address:
      type: object
      description: |
        Defines the details of a single IP address fraud check.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - $ref: '#/components/schemas/Supplementary-Data-Fraud-IP-Address-Data'
    Supplementary-Data-Fraud-Phone-Number:
      type: object
      description: |
        Defines the details of a single phone number fraud check.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            phoneNumberId:
              $ref: '#/components/schemas/Phone-Number-ID'
            riskLevel:
              $ref: '#/components/schemas/Risk-Level'
            reference:
              $ref: '#/components/schemas/Result-Reference'
            indicators:
              type: array
              items:
                $ref: >-
                  #/components/schemas/Supplementary-Data-Activity-Result-Detail-Indicator
    Attribute:
      type: object
      required:
        - type
        - value
      properties:
        type:
          description: The attribute type.
          type: string
          maxLength: 64
          x-oapi-codegen-extra-tags:
            audit: keep
        value:
          description: The value assigned to the attribute.
          type: string
          x-oapi-codegen-extra-tags:
            audit: mask
    Process-Result-Manual-StatusEnum-AML:
      type: string
      enum:
        - TRUE_POSITIVE
        - FALSE_POSITIVE
        - TRUE_POSITIVE_ACCEPT
        - TRUE_POSITIVE_REJECT
        - UNKNOWN
        - UNKNOWN_ACCEPT
        - UNKNOWN_REJECT
      description: >
        The manual status that the AML process result should be set to after the
        results have been reviewed.

        - FALSE_POSITIVE: The result is determined to be a false positive, but
        you do not necessarily want to resolve it.

        - TRUE_POSITIVE_ACCEPT: The result is determined to be a true positive
        and you want to resolve it. "Accept" infers you want to accept the
        activity.

        - TRUE_POSITIVE: The result is determined to be a true positive, but you
        do not necessarily want to resolve it.

        - TRUE_POSITIVE_REJECT: The result is determined to be a true positive
        and you want to resolve it. "Reject" infers you want to reject the
        activity.

        - UNKNOWN: The result is determined to be unknown, but you do not
        necessarily want to resolve it.

        - UNKNOWN_ACCEPT: The result is determined to be unknown and you want to
        resolve it. "Accept" infers you want to accept the activity.

        - UNKNOWN_REJECT: The result is determined to be unknown and you want to
        resolve it. "Reject" infers you want to reject the activity.
    Process-Result-Manual-StatusEnum-KYC:
      type: string
      enum:
        - PASS
        - FAIL
      description: >
        Any manual status set after the results have been reviewed.

        - PASS: When the result is determined to be a pass and no further action
        is needed.

        - FAIL: When the result is determined to be a fail and no further action
        is needed.
    Process-Result-Manual-StatusEnum-IDV:
      type: string
      enum:
        - CLEAR
        - REJECTED
      description: >
        Any manual status set after the results have been reviewed.

        - CLEAR: When the result is determined to be clear and no further action
        is needed.

        - REJECTED: When the result is determined to be rejected and no further
        action is needed.
    Process-Result-Manual-StatusEnum-Duplicate:
      type: string
      enum:
        - FALSE_POSITIVE
        - TRUE_POSITIVE_ACCEPT
        - TRUE_POSITIVE_REJECT
      description: >
        Manual review status options for duplicate entity resolution. Used to
        indicate the outcome of a manual duplicate check between an existing
        entity (A) and an incoming entity (B):

        - FALSE_POSITIVE: Entities are not duplicates. Both Entity A and Entity
        B are distinct and should be retained as separate records.

        - TRUE_POSITIVE_ACCEPT: Entities are duplicates. Keep the incoming
        entity (Entity B) as the primary record and mark the existing entity
        (Entity A) as the duplicate. Use when the incoming record is more
        accurate or complete.

        - TRUE_POSITIVE_REJECT: Entities are duplicates. Keep the existing
        entity (Entity A) as the primary record and mark the incoming entity
        (Entity B) as the duplicate. Use when the existing record is more
        trusted or complete.
    Process-Result-Manual-StatusEnum-Matchlist:
      type: string
      enum:
        - FALSE_POSITIVE
        - TRUE_POSITIVE_REJECT
      description: >
        Any manual status set after the results have been reviewed.

        - FALSE_POSITIVE: The result is determined to be a false positive, but
        you do not necessarily want to resolve it.

        - TRUE_POSITIVE_REJECT: The result is determined to be a true positive
        and you want to resolve it. "Reject" infers you want to reject the
        activity.
    Process-Result-Manual-StatusEnum-SupportDoc:
      type: string
      enum:
        - APPROVED
        - REJECTED
        - NEEDS_ATTENTION
      description: >
        Any manual status set after the results have been reviewed.

        - APPROVED: When the document has been reviewed and is acceptable.

        - REJECTED: When the document has been reviewed and is deemed to be not
        acceptable.

        - NEEDS_ATTENTION: When the document has been reviewed and requires
        further attention.
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
    Supplementary-Data-Base:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          description: |
            The type of supplementary data. Possible values:
              - AML
              - KYC_ADDRESS
              - KYC_DOB
              - KYC_GENDER
              - KYC_NAME
              - ID
              - VISA
              - NAME_VALIDATION
              - KYB_ORGANIZATION
              - KYB_ADDRESS_VERIFICATION
              - KYB_NAME_VERIFICATION
              - KYB_REGISTRATION_VERIFICATION
              - KYB_TAX_VERIFICATION
              - MATCHLIST
              - DUPLICATE
              - FRAUD_DEVICE
              - FRAUD_EMAIL
              - FRAUD_PHONE
              - FRAUD_LOOKUP
              - ACTIVITY_AML
              - ACTIVITY_EVENT
              - ACTIVITY_FRAUD
          enum:
            - AML
            - KYC_ADDRESS
            - KYC_DOB
            - KYC_GENDER
            - KYC_NAME
            - ID
            - VISA
            - NAME_VALIDATION
            - KYB_ORGANIZATION
            - KYB_ADDRESS_VERIFICATION
            - KYB_NAME_VERIFICATION
            - KYB_REGISTRATION_VERIFICATION
            - KYB_TAX_VERIFICATION
            - MATCHLIST
            - DUPLICATE
            - FRAUD_DEVICE
            - FRAUD_EMAIL_ADDRESS
            - FRAUD_PHONE_NUMBER
            - FRAUD_IP_ADDRESS
            - FRAUD_LOOKUP
            - ACTIVITY_AML
            - ACTIVITY_EVENT
            - ACTIVITY_FRAUD
    Supplementary-Data-AML-MatchData:
      type: object
      required:
        - spReferenceId
        - name
      description: |
        Contains information about this specific matched entity.
      properties:
        strength:
          type: number
          format: float
          description: >-
            The confidence level of the match as determined by the service
            provider, expressed as a percentage from 0 to 100. Can be a decimal
            value (e.g., 85.7).
        spReferenceId:
          type: string
          description: >
            The internal identifier assigned by the service provider for the
            matched individual or business.
        name:
          type: string
          description: |
            The name matched by the service provider.
        givenName:
          type: string
          description: |
            The given name matched by the service provider (optional).
        otherName:
          type: string
          description: >
            The middle or other name(s) matched by the service provider
            (optional).
        familyName:
          type: string
          description: |
            The family name matched by the service provider (optional).
        date:
          type: string
          description: >
            The date matched in the system, formatted as provided by the service
            provider. May be only a year.
        address:
          type: string
          description: |
            The address matched by the service provider (optional).
        countries:
          type: array
          items:
            $ref: '#/components/schemas/Supplementary-Data-AML-MatchData-Country'
        nationalId:
          $ref: '#/components/schemas/Supplementary-Data-AML-MatchData-NationalId'
        imageUrl:
          type: string
          format: uri
          description: >-
            A URL to a displayable image of the matched individual or company
            logo.
        isDeceased:
          type: boolean
          description: Indicates if this match is to a deceased individual.
        isAlias:
          type: boolean
          description: >-
            Indicates if this match is an alias of the searched individual or
            organization.
        isRelated:
          type: boolean
          description: >-
            Indicates if this match is a related party of the searched
            individual or organization.
        gender:
          $ref: '#/components/schemas/GenderEnum'
    Supplementary-Data-AML-RelatedParties:
      type: object
      description: >
        Defines the name and relationship of individuals or organizations
        related to the matched entity.
      properties:
        name:
          type: string
          description: The name of the related individual or organization.
        relationship:
          type: string
          description: |
            The nature of the relationship to the matched entity.
            For example: "Sibling", "Director", "Known associate".
    Supplementary-Data-AML-ReferenceDocs:
      type: object
      description: >
        Captures references to source documents or websites, including the URL
        and, where available, a description of the original source.
      properties:
        url:
          type: string
          format: uri
          description: >-
            URL of any external reference document related to this matched
            entity.
        description:
          type: string
          description: >-
            If a description of the document is provided, it will be included
            here.
    Supplementary-Data-AML-PEPData:
      type: object
      description: >
        Contains Politically Exposed Person (PEP) information about a specific
        matched entity.
      properties:
        countryCode:
          type: string
          description: >
            The ISO 3166-1 alpha-3 country code where the PEP entry was
            recorded.
        countryName:
          type: string
          description: |
            The ISO 3166 country name where the PEP entry was recorded.
        sourceName:
          type: string
          description: |
            The source of the PEP entry data.
        level:
          type: string
          description: >
            The PEP "level", generally represented by a number from 1 (heads of
            state, military, civil service, etc.) to 4 (local government, minor
            public servants, etc.).
        sourceUrl:
          type: string
          format: uri
          description: |
            The URL where the original PEP information can be found.
        sourcePosition:
          deprecated: true
          type: string
          description: |
            (Deprecated) The position held that created the PEP entry.
        position:
          type: string
          description: |
            The position held that created the PEP entry.
        positionDescription:
          type: string
          description: |
            A description of the position held that created the PEP entry.
        status:
          type: string
          description: |
            The current PEP status.
        listingStart:
          type: string
          description: >
            The date when the listing started. Will attempt to use ISO 8601 date
            format; otherwise, the format supplied by the source.
        listingEnd:
          type: string
          description: >
            The date when the listing ended (if available or known). Will
            attempt to use ISO 8601 date format; otherwise, the format supplied
            by the source.
        imageUrl:
          type: string
          format: uri
          description: |
            Optional URL of an image of the person associated with their role.
        referenceDocs:
          type: array
          items:
            $ref: '#/components/schemas/Supplementary-Data-AML-ReferenceDocs'
        additionalData:
          type: array
          items:
            $ref: '#/components/schemas/Supplementary-Data-AML-AdditionalData'
    Supplementary-Data-AML-SanctionsData:
      type: object
      description: |
        Contains sanction information about a specific matched entity.
      properties:
        countryCode:
          type: string
          description: >
            The ISO 3166-1 alpha-3 country code where the sanction entry was
            recorded.
        countryName:
          type: string
          description: |
            The ISO 3166 country name where the sanction entry was recorded.
        sourceName:
          type: string
          description: |
            The source of the sanction entry data.
        sourceUrl:
          type: string
          format: uri
          description: |
            The URL where the original sanction information can be found.
        sourceReason:
          type: string
          description: |
            The reason provided for sanctioning the individual or organization.
        listingStart:
          type: string
          description: >
            The date when the listing started. Will attempt to use ISO 8601 date
            format; otherwise, the format supplied by the source.
        listingEnd:
          type: string
          description: >
            The date when the listing ended (if available or known). Will
            attempt to use ISO 8601 date format; otherwise, the format supplied
            by the source.
        imageUrl:
          type: string
          format: uri
          description: >
            Optional URL of an image of the person or company logo of the
            sanctioned entity.
        referenceDocs:
          type: array
          items:
            $ref: '#/components/schemas/Supplementary-Data-AML-ReferenceDocs'
        additionalData:
          type: array
          items:
            $ref: '#/components/schemas/Supplementary-Data-AML-AdditionalData'
    Supplementary-Data-AML-WatchlistData:
      type: object
      description: >
        Contains non-PEP/non-sanction watchlist and other source information
        about a specific matched entity.
      properties:
        countryCode:
          type: string
          description: >
            The ISO 3166-1 alpha-3 country code where the watchlist entry was
            recorded.
        countryName:
          type: string
          description: |
            The ISO 3166 country name where the watchlist entry was recorded.
        sourceName:
          type: string
          description: |
            The source of the watchlist entry data.
        sourceUrl:
          type: string
          format: uri
          description: |
            The URL where the original watchlist information can be found.
        sourceReason:
          type: string
          description: >
            The reason provided for adding the individual or organization to the
            watchlist.
        listingStart:
          type: string
          description: >
            The date when the listing started. Will attempt to use ISO 8601 date
            format; otherwise, the format supplied by the source.
        listingEnd:
          type: string
          description: >
            The date when the listing ended (if available or known). Will
            attempt to use ISO 8601 date format; otherwise, the format supplied
            by the source.
        imageUrl:
          type: string
          format: uri
          description: >
            Optional URL of an image of the person or company logo of the entity
            on this list.
        referenceDocs:
          type: array
          items:
            $ref: '#/components/schemas/Supplementary-Data-AML-ReferenceDocs'
        additionalData:
          type: array
          items:
            $ref: '#/components/schemas/Supplementary-Data-AML-AdditionalData'
    Supplementary-Data-AML-MediaData:
      type: object
      required:
        - title
        - source
      description: |
        Contains adverse media information about a specific matched entity.
      properties:
        title:
          type: string
          description: |
            The title of the article or media source.
        snippet:
          type: string
          description: |
            A short excerpt or snippet from the article.
        source:
          type: string
          description: |
            The source or publisher of the article or media.
        sourceDate:
          type: string
          description: |
            The publication date, as referenced and formatted by the source.
        sourceCountry:
          type: string
          description: |
            The country of origin for the article, if available.
        url:
          type: string
          description: |
            The URL to the original full article, if available.
        isCurrent:
          type: boolean
          default: true
          description: |
            Indicates whether this article is still considered current.
    Supplementary-Data-KYC-Address-MatchStrengths:
      type: object
      properties:
        fullAddress:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        streetNumber:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        streetName:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        streetType:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        streetAll:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        locality:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        district:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        subdivision:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        postalCode:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        country:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
    Supplementary-Data-KYC-DoB-MatchStrengths:
      type: object
      properties:
        fullDateOfBirth:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        year:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        month:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        day:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
    Supplementary-Data-KYC-Gender-MatchStrengths:
      type: object
      properties:
        gender:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
    Supplementary-Data-KYC-Name-MatchStrengths:
      type: object
      properties:
        fullName:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        familyName:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        givenName:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        otherNames:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        firstInitialFamilyName:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
    Supplementary-Data-ID-MatchStrengths:
      type: object
      properties:
        primaryIdentifier:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        secondaryIdentifier:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        name:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
          description: |
            If the name verification result is known, record it here.

            NOTE: This should not be used as a KYC result; informational only.
            Please use a separate PRO for an actual KYC result if required.
        dateOfBirth:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
          description: |
            If the date of birth verification result is known, record it here.

            NOTE: This should not be used as a KYC result; informational only.
            Please use a separate PRO for an actual KYC result if required.
        expiryDate:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
        isValid:
          type: boolean
          description: Indicates if the ID is valid (if known).
        isExpired:
          type: boolean
          description: Indicates if the ID has expired (if known).
        isBlocked:
          type: boolean
          description: Indicates if the ID has been blocked at the source.
        blockingCode:
          type: string
          description: >-
            If the service provider returns a blocking code or reason, it will
            be recorded here.
        attachmentId:
          type: string
          format: uuid
          description: >-
            If a photo was sent to the service provider, the FrankieOne scanId
            is added for reference.
        photoId:
          type: integer
          format: int32
          minimum: 0
          maximum: 100
          description: >-
            If a photo was supplied and checked, the match score is recorded
            here.
        photoIssue:
          type: string
          description: >-
            If there was an issue checking the photo, any error details can be
            found here.
    Organization:
      type: object
      description: This is the complete Organization Model
      allOf:
        - $ref: '#/components/schemas/Organization-Summary'
        - type: object
          properties:
            linkedIndividuals:
              type: object
              description: >-
                The additional details of the individuals that is linked to the
                parent entity
              additionalProperties:
                $ref: '#/components/schemas/Organization-Linked-Individual'
            linkedOrganizations:
              type: object
              description: >-
                The additional details of the organization that is linked to the
                parent entity
              additionalProperties:
                $ref: '#/components/schemas/Organization-Summary'
            linkedUnknownEntities:
              type: object
              description: >-
                The additional details of an entity that is linked to the parent
                entity
              additionalProperties:
                $ref: '#/components/schemas/Unknown-Entity'
            blockingEntities:
              type: object
              description: >-
                The details of the entities that are linked to the parent entity
                that have resulted in not getting a complete picture of the
                focus entity
              additionalProperties:
                $ref: '#/components/schemas/Blocking-Entity'
            ultimateBeneficialOwners:
              description: >-
                UBO stands for "Ultimate Beneficial Owner." UBO(s) are the
                ultimate natural person(s) who ultimately owns or controls a
                company. It provides information about the individuals who have
                a significant level of control or ownership in a company, either
                directly or indirectly
              type: array
              items:
                $ref: '#/components/schemas/UBO'
            otherOwners:
              description: The other owners of the company, who aren't necessarily UBO's
              type: array
              items:
                $ref: '#/components/schemas/Other-Owner'
            informationSources:
              type: object
              description: Map of Information sources which are used across the response
              additionalProperties:
                $ref: '#/components/schemas/Information-Source'
            ownershipPolicy:
              $ref: '#/components/schemas/Ownership-Policy'
    Supplementary-Data-KYB-Verification-Base:
      type: object
      description: >
        The base verification result for a KYB verification check, containing
        risk level,

        raw vendor data, submission status, and evaluation results.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            riskLevel:
              $ref: '#/components/schemas/Risk-Level'
            rawValue:
              description: The raw value coming from the vendor
              type: string
            isSubmitted:
              type: boolean
              description: Whether the object being verified was submitted
            evaluations:
              type: array
              description: List of evaluation results
              items:
                $ref: '#/components/schemas/Risk-Verbose-Description'
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Supplementary-Data-Duplicate-MatchField:
      type: object
      description: >
        Provides details of a match between entities, the objects they
        represent, and the match strength.
      properties:
        objectType:
          $ref: '#/components/schemas/Object-Type'
        duplicateObjectId:
          type: string
          format: uuid
          description: The ID of the object that was found to be a duplicate.
        objectId:
          type: string
          format: uuid
          description: The ID of the object that originated the match.
        matchStrength:
          $ref: '#/components/schemas/Supplementary-Data-Base-MatchStrength'
    Supplementary-Data-Duplicate-MatchedRule:
      type: object
      description: >
        Provides details about the rule that was matched to classify the object
        as a duplicate.
      properties:
        name:
          type: string
          description: The name of the matched rule.
        strength:
          type: string
          description: >
            The strength of the match. This is free-form, but it is recommended
            to use standard values for clarity, such as:
              - "VERY_LOW"
              - "LOW"
              - "MEDIUM"
              - "HIGH"
              - "VERY_HIGH"
    Supplementary-Data-IDV-Base:
      type: object
      description: >
        A report from an IDV provider based on a photographic or video
        biometrics process.
      allOf:
        - $ref: '#/components/schemas/Supplementary-Data-Base'
        - type: object
          properties:
            outcomeRaw:
              type: string
              description: >-
                The original outcome of the IDV process, as reported by the
                service provider.
            resultMap:
              $ref: '#/components/schemas/Supplementary-Data-IDV-ElementMap'
            requiredElements:
              type: array
              description: >-
                List of elements required to have passed, as per the step
                configuration.
              items:
                type: string
                description: The IDV report element name, e.g., 'face', 'dob', 'name'.
    Document-Type:
      type: string
      enum:
        - OTHER
        - DRIVERS_LICENSE
        - PASSPORT
        - VISA
        - IMMIGRATION
        - NATIONAL_ID
        - TAX_ID
        - NATIONAL_HEALTH_ID
        - CONCESSION
        - HEALTH_CONCESSION
        - PENSION
        - MILITARY_ID
        - BIRTH_CERT
        - CITIZENSHIP
        - MARRIAGE_CERT
        - DEATH_CERT
        - NAME_CHANGE
        - UTILITY_BILL
        - BANK_STATEMENT
        - BANK_ACCOUNT
        - INTENT_PROOF
        - ATTESTATION
        - SELF_IMAGE
        - DEVICE
        - VEHICLE_REGISTRATION
        - PROOF_OF_ADDRESS
        - HOUSE_REGISTRATION
        - YELLOW_HOUSE_REGISTRATION
        - WORK_PERMIT
        - EMPLOYMENT_CERTIFICATE
        - NOTARY_PUBLIC_ID
        - EXTERNAL_ADMIN
        - CHARGES
        - PRE_ASIC
        - ANNUAL_RETURN
        - REPORT
        - TRUST_DEED
        - DEED_OF_VARIATION
        - REGISTER_OF_UNIT_HOLDERS
        - PARTNERSHIP_AGREEMENT
        - ADMIN_CHANGE
        - COMPANY_REPORT
        - CHECK_RESULTS
        - AVIATION_SECURITY_ID
        - MARITIME_SECURITY_ID
        - ORGANIZATION_PROFILE
        - ORGANIZATION_OWNERSHIP
      description: |-
        Valid document ID types.

          - "OTHER": Generic document type. Unspecified.
          - "DRIVERS_LICENSE": Driver's license.
          - "PASSPORT": Passport.
          - "VISA": Visa document (not Visa payment card).
          - "IMMIGRATION": Immigration card.
          - "NATIONAL_ID": Any national ID card.
          - "TAX_ID": Any national tax identifier.
          - "NATIONAL_HEALTH_ID": Any national health program ID card (e.g., Medicare, NHS).
          - "CONCESSION": State-issued concession card.
          - "HEALTH_CONCESSION": State-issued health-specific concession card.
          - "PENSION": State-issued pension ID.
          - "MILITARY_ID": Military ID.
          - "BIRTH_CERT": Birth certificate.
          - "CITIZENSHIP": Citizenship certificate.
          - "MARRIAGE_CERT": Marriage certificate.
          - "DEATH_CERT": Death certificate.
          - "NAME_CHANGE": Name change confirmation.
          - "UTILITY_BILL": Regulated utility bill, such as electricity, gas, etc.
          - "BANK_STATEMENT": Bank/card statement.
          - "BANK_ACCOUNT": Bank account.
          - "INTENT_PROOF": Proof of intent, generally a photo/video or a scanned letter.
          - "ATTESTATION": Document of attestation (e.g., Statutory Declaration).

          NOTE: These cannot be used as a supporting document:
          - "SELF_IMAGE": A "selfie" used for comparisons.
          - "DEVICE": Device ID.
          - "VEHICLE_REGISTRATION": Vehicle registration number.
          - "PROOF_OF_ADDRESS": Any document that provides proof of address.
          - "HOUSE_REGISTRATION": House registration document.
          - "YELLOW_HOUSE_REGISTRATION": Yellow House Registration Thor Ror 13.
          - "WORK_PERMIT": Work permit.
          - "EMPLOYMENT_CERTIFICATE": Certificate of employment.
          - "NOTARY_PUBLIC_ID": Notary Public Identification.

          Business-related documentation:

          - "EXTERNAL_ADMIN": Details of appointed administrator.
          - "CHARGES": Details of any charges laid against a company or director.
          - "PRE_ASIC": Any documents that are Pre-ASIC.
          - "ANNUAL_RETURN": Details of a company's annual return.
          - "REPORT": Frankie-generated report.
          - "TRUST_DEED": Corporate trust deed.
          - "DEED_OF_VARIATION": Deed of variation document.
          - "REGISTER_OF_UNIT_HOLDERS": Register of unit holders document.
          - "PARTNERSHIP_AGREEMENT": Partnership agreement documents.
          - "ADMIN_CHANGE": Change of administrator.
          - "COMPANY_REPORT": Registry-filed company reports.
          - "ORGANIZATION_PROFILE": Organization profile document.
          - "ORGANIZATION_OWNERSHIP": Organization ownership document.

          Special document types:

          - "CHECK_RESULTS": Special document type for specifying results of checks completed other than through Frankie.
          - "AVIATION_SECURITY_ID": Aviation Security Identification Card.
          - "MARITIME_SECURITY_ID": Maritime Security Identification Card.
      x-oapi-codegen-extra-tags:
        audit: keep
    Supplementary-Data-IDV-OCR-Comparison-Enum-Comparison-Source:
      type: string
      description: >
        Indicates the source of the data used for comparison with the OCR scan
        results.

        The source can be either the original entity data or the updated data
        extracted from the OCR scan.
      enum:
        - ENTITY
        - OCR_UPDATE
    Supplementary-Data-IDV-ElementMap:
      type: object
      description: >
        A map of IDV report elements obtained from the requested IDV service
        provider.


        The map keys are arbitrary strings, but where possible, should use a
        value from the predefined IDV Data Enums.

        Service provider connections should map supplied values to existing
        enums where possible.

        If there is no relevant existing match, it is acceptable to use the
        original service provider value as the key.
      additionalProperties:
        $ref: '#/components/schemas/Supplementary-Data-IDV-Data'
    Matchlist-Entry-Base:
      type: object
      description: Basic details about a matchlist entry, excluding metadata.
      properties:
        entryId:
          type: string
          format: uuid
          readOnly: true
          description: Unique identifier for the matchlist entry.
        entityId:
          type: string
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
          description: >-
            The entity ID from which the attributes of this entry are derived.
            This is optional and can be used to link the matchlist entry to an
            entity.
        entityType:
          $ref: '#/components/schemas/Entity-Type'
          description: >-
            The type of entity from which the attributes of this entry are
            derived. This is optional and can be used to link the matchlist
            entry to an entity.
        reference:
          type: string
          description: Optional reference describing the context of this entry.
          example: CERT-BAD-ACTOR-1234-5678
        reasons:
          description: >-
            The reasons for the matchlist entry. These codes will be translated
            to configured description strings.
          type: array
          items:
            $ref: '#/components/schemas/Matchlist-Entry-Reason-Code'
    Matchlist-Action:
      type: string
      description: >-
        Default action recommended for a match. The action can be one of the
        following:
          - `BLOCK`: Recommended action is to block the entity.
          - `ALERT`: Recommended action is to create an alert for the entity.
          - `ALLOW`: Recommended action is to allow the entity.
          - `REVIEW`: Recommended action is to review the entity.
          - `NONE`: No action; only use the `riskFactor` if any.
      enum:
        - BLOCK
        - ALERT
        - ALLOW
        - REVIEW
        - NONE
    Search-Confidence:
      type: number
      format: float
      minimum: 0
      maximum: 1
      description: >
        Confidence level of the search result, represented as a number between 0
        and 1.

        A higher value indicates greater confidence in the accuracy of the
        search result.
    Supplementary-Data-Matchlist-Field:
      type: object
      description: |
        Entity data that resulted in a match at the time of execution.
      required:
        - objectId
        - objectType
      properties:
        objectId:
          type: string
          description: Unique identifier of the matched object.
        objectType:
          $ref: '#/components/schemas/Object-Type'
        matchedAttributes:
          type: array
          items:
            $ref: '#/components/schemas/Supplementary-Data-Matchlist-Attribute'
    Activity-Base:
      type: object
      required:
        - party
        - detail
      description: Activity details
      properties:
        activityId:
          $ref: '#/components/schemas/Activity-ID'
        session:
          $ref: '#/components/schemas/Session'
        party:
          $ref: '#/components/schemas/Party-Detail'
        detail:
          $ref: '#/components/schemas/Activity-Detail'
        device:
          $ref: '#/components/schemas/Device'
        activityRequestId:
          type: string
          format: ulid
          description: The request ID associated to the activity being submitted
        relatedProcessResults:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Activities-Process-Result-Link'
    Supplementary-Data-Activity-Result-Detail:
      type: object
      properties:
        riskLevel:
          $ref: '#/components/schemas/Risk-Level'
        evaluationId:
          $ref: '#/components/schemas/Evaluation-ID'
        activityResultId:
          $ref: '#/components/schemas/Activity-Result-ID'
        reference:
          $ref: '#/components/schemas/Result-Reference'
        indicators:
          type: array
          items:
            $ref: >-
              #/components/schemas/Supplementary-Data-Activity-Result-Detail-Indicator
        relatedActivityIds:
          description: |
            The related activity ids.
          type: array
          items:
            $ref: '#/components/schemas/Activity-ID'
    Supplementary-Data-Fraud-Device-Data:
      type: object
      description: >
        Provides details of a single fraud check for device and related device
        data.
      properties:
        device:
          $ref: '#/components/schemas/Device'
        session:
          $ref: '#/components/schemas/Session-Data'
        indicators:
          type: array
          items:
            $ref: >-
              #/components/schemas/Supplementary-Data-Activity-Result-Detail-Indicator
        riskLevel:
          $ref: '#/components/schemas/Risk-Level'
        reference:
          $ref: '#/components/schemas/Result-Reference'
    Email-Address-ID:
      type: string
      description: >-
        As email addresses are added to an entity, they are assigned a unique
        identifier to assist with modification and reference.

        To modify an email, include the emailId in an update request.
      example: aa385f64-5717-4562-b3fc-2c963f66af21
      x-oapi-codegen-extra-tags:
        audit: keep
    Risk-Level:
      type: string
      enum:
        - UNKNOWN
        - LOW
        - MEDIUM
        - HIGH
        - UNACCEPTABLE
      description: |
        The risk level classification:
          - UNKNOWN: Risk level is not determined.
          - LOW: Low risk.
          - MEDIUM: Medium risk.
          - HIGH: High risk.
          - UNACCEPTABLE: Risk level is unacceptable.
    Result-Reference:
      type: object
      properties:
        name:
          type: string
          description: The source of the result (e.g. sardine)
        type:
          $ref: '#/components/schemas/Result-Reference-Type'
        reference:
          type: string
          description: |
            A link or reference to the source of the result. 
            The format will depend on the source and the reference type.
    Supplementary-Data-Activity-Result-Detail-Indicator:
      type: object
      properties:
        indicatorId:
          $ref: '#/components/schemas/Indicator-ID'
        name:
          type: string
        value:
          type: string
        score:
          type: string
        rules:
          type: array
          items:
            $ref: >-
              #/components/schemas/Supplementary-Data-Activity-Result-Detail-Rule
    Supplementary-Data-Fraud-IP-Address-Data:
      type: object
      description: |
        Defines the details of a single fraud check for IP address related data.
      properties:
        deviceId:
          $ref: '#/components/schemas/Device-ID'
        ipAddressInformation:
          $ref: '#/components/schemas/IP-Information'
        session:
          $ref: '#/components/schemas/Session-Data'
        indicators:
          type: array
          items:
            $ref: >-
              #/components/schemas/Supplementary-Data-Activity-Result-Detail-Indicator
        riskLevel:
          $ref: '#/components/schemas/Risk-Level'
        reference:
          $ref: '#/components/schemas/Result-Reference'
    Phone-Number-ID:
      type: string
      description: >-
        As phone numbers are added to an entity, they are assigned an ID to
        assist with tracking.

        If you are adjusting phone numbers, you will need to include the ID to
        reference it correctly in the list.
      example: ad165f64-5717-4562-b3fc-2c963f66bfa9
      x-oapi-codegen-extra-tags:
        audit: keep
    Supplementary-Data-AML-MatchData-Country:
      type: object
      required:
        - code
      description: >
        Represents the country code and match type for an AML (Anti-Money
        Laundering) country match.
      properties:
        code:
          type: string
          maxLength: 3
          description: |
            The ISO 3166-1 alpha-3 country code where a match was identified.
        matchType:
          type: string
          description: >
            The type of match associated with this country. Possible values
            include:
              - CITIZENSHIP
              - RESIDENCE
              - BIRTH
              - NATIONALITY
              - INCORPORATION (for organizations)
              - OPERATION
    Supplementary-Data-AML-MatchData-NationalId:
      type: object
      description: |
        Provides details of a matched identification document, if supplied.
      properties:
        idNumber:
          type: string
          description: The matched identification number.
        idType:
          type: string
          description: The type of identification matched (e.g., National ID, passport).
        idExpiry:
          type: string
          description: >-
            The expiry date of the identification document (if known), using the
            format provided by the service provider.
        issuingCountryCode:
          type: string
          description: The ISO 3166-1 alpha-3 country code of the issuing country.
        documentId:
          type: string
          description: The document ID if this was matched to a FrankieOne document record.
    GenderEnum:
      type: string
      enum:
        - MALE
        - FEMALE
        - NON_BINARY
        - OTHER
        - UNSPECIFIED
      x-oapi-codegen-extra-tags:
        audit: mask
    Supplementary-Data-AML-AdditionalData:
      type: object
      description: >
        Represents a simple key-value pair for AML data to capture any
        additional information not included in the main object.
      properties:
        key:
          type: string
          description: >
            The key name, formatted in snake_case (e.g., key_in_snake_case),
            which can be converted to spaced title case for display.
        value:
          type: string
          description: >
            The value associated with the key, provided as a string for display
            purposes.
    Organization-Summary:
      allOf:
        - $ref: '#/components/schemas/Entity'
        - type: object
          properties:
            websiteUrls:
              type: array
              items:
                $ref: '#/components/schemas/Website-URL'
            details:
              $ref: '#/components/schemas/Organization-Details'
            shareholders:
              type: array
              description: >-
                The shareholders of a company. It includes details such as the
                names of the shareholders, the number of shares held by each
                shareholder, and their ownership percentages
              items:
                $ref: '#/components/schemas/Organization-Shareholder'
            shareInterests:
              description: >-
                The specific interests or holdings of shareholders in a company.
                It may include information about different classes or types of
                shares held by shareholders, such as ordinary shares, preference
                shares, or options
              type: array
              items:
                $ref: '#/components/schemas/Organization-Share-Interest'
            officials:
              type: array
              description: >-
                The individuals who hold official positions or roles within a
                company, such as directors or company secretaries. It includes
                details such as their names, positions, appointment dates, and
                other relevant information
              items:
                $ref: '#/components/schemas/Organization-Official'
            shareCapital:
              $ref: '#/components/schemas/Organization-Share-Capital'
              description: >-
                The total value of shares issued by the company to its holders.
                It typically includes both the nominal value of the shares as
                well as any premium paid by the shareholders.
            indicators:
              description: >-
                The indicators that contribute to the risk of an organization or
                other parameters that needs to be looked at
              type: array
              items:
                $ref: '#/components/schemas/Indicator'
[...]
